package com.ruoyi.demo.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.vo.EquipmentVo;

import java.util.List;

public interface EquipmentService {
    void addEquipment(EquipmentVo equipmentVo);

    void updateEquipment(EquipmentVo equipmentVo);

    Equipment getEquipment(String equipmentId);

    void deleteEquipment(String[] equipmentIds);

    PageInfo<Equipment> getEquipmentBySelect(EquipmentVo equipmentVo);

    void addStoreEquipment(EquipmentVo equipmentVo);

    PageInfo<Equipment> getEquipmentByStoreId(EquipmentVo equipmentVo);
}
